Public Member Functions | Protected Member Functions | Protected Attributes

# cv::BruteForceMatcher< Distance > Class Template Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::BruteForceMatcher< Distance >:

List of all members.

## Public Member Functions
| BruteForceMatcher (Distance d=Distance())
virtual Ptr< DescriptorMatcher > | clone (bool emptyTrainData=false) const
virtual bool | isMaskSupported () const
virtual | ~BruteForceMatcher ()
## Protected Member Functions
virtual void | knnMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
template<>
void | knnMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)
template<>
void | radiusMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)
virtual void | radiusMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
## Protected Attributes
Distance | distance

### template<class Distance>
class cv::BruteForceMatcher< Distance >

## Constructor & Destructor Documentation

template<class Distance>

cv::BruteForceMatcher< Distance >::BruteForceMatcher | ( | Distance | d = `Distance()` ) | `[inline]`

template<class Distance>

virtual cv::BruteForceMatcher< Distance >::~BruteForceMatcher | ( | ) | `[inline, virtual]`

## Member Function Documentation

template<class Distance >

Ptr< DescriptorMatcher > cv::BruteForceMatcher< Distance >::clone | ( | bool | emptyTrainData = `false` ) | const`[virtual]`

Implements cv::DescriptorMatcher.

template<class Distance>

virtual bool cv::BruteForceMatcher< Distance >::isMaskSupported | ( | ) | const`[inline, virtual]`

Implements cv::DescriptorMatcher.

template<>

void cv::BruteForceMatcher< L2< float > >::knnMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::DescriptorMatcher.

template<class Distance >

void cv::BruteForceMatcher< Distance >::knnMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks = `vector<Mat>()`,
|  | bool | compactResult = `false`
| ) |  | `[protected, virtual]`

Implements cv::DescriptorMatcher.

template<class Distance >

void cv::BruteForceMatcher< Distance >::radiusMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks = `vector<Mat>()`,
|  | bool | compactResult = `false`
| ) |  | `[protected, virtual]`

Implements cv::DescriptorMatcher.

template<>

void cv::BruteForceMatcher< L2< float > >::radiusMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::DescriptorMatcher.

## Member Data Documentation

template<class Distance>

Distance cv::BruteForceMatcher< Distance >::distance`[protected]`

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines